UP 2014.01.15 [PRODUCTION] [DONE]

Important informations about SolydXK including releases notes, forum rules and other anouncements
User avatar
jsvenancio
Posts: 195
Joined: 16 Dec 2013 17:59
Location: Portugal
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby jsvenancio » 15 Jan 2014 16:52

Schoelje wrote:
jsvenancio wrote:I followed the recommendation and apparently went well.
But when you start SolydX, I can no longer log in as jsvenancio, only with root and pasword.
Unfortunately I have to format the PC ... :( :? :cry:
No, you don't.
After booting into recovery mode, and login as root, you run this command:

Code: Select all

passwd jsvenancio
Just follow the questions.
Also check if you're listed as a user:

Code: Select all

cat /etc/passwd | grep jsvenancio
Sorry, my mistake.
At the time that I was preparing to format, I remembered that he used a different username.

Have I access with my usr.

Thanks for everything.
SolydX - 64bts - Debian

Sorry for my bad English, I speak Portuguese and use the Google translator.

User avatar
Arjen Balfoort
Site Admin
Posts: 9219
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby Arjen Balfoort » 15 Jan 2014 16:52

your welcome


SolydXK needs you!
Development | Testing | Translations

RcyberN
Posts: 62
Joined: 04 Dec 2013 12:57

Re: UP 2014.01.15 [PRODUCTION]

Postby RcyberN » 15 Jan 2014 17:13

Hello guys...the update pack for SolydK installed successfully with only some warnings noted. The warnings are related to "pixbuf" with comment "this likely means your installation is broken".

Below is a link to my warnings. I only copy/pasted each warning sequence with a few of the lines above and below each.

https://ezcrypt.it/4N7n#rLv8rdY5ljoXXGnApA5VSAII

I'm using the 3.10.3 kernel and here is the results of my inxi -r

Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.solydxk.nl/production/ solydxk main upstream import kdenext
deb http://debian.solydxk.nl/production testing main contrib non-free
deb http://debian.solydxk.nl/production/multimedia testing main non-free
deb http://debian.solydxk.nl/security testing/updates main contrib non-free
deb http://community.solydxk.nl/production/ solydxk main
Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
deb http://dl.google.com/linux/chrome/deb/ stable main

Again, except for the warnings everything is running great. I posted this as an FYI.

abqnm
Posts: 12
Joined: 15 Jan 2014 18:15

Re: UP 2014.01.15 [PRODUCTION]

Postby abqnm » 15 Jan 2014 18:22

Edit: Fixed.

Hello!

I have to say I love SolydK. I did complete the UP today, with one issue. After updating, I can only get a maximum display resolution of 1024x768 and I cannot set my display resolution back to native (1280x800). The Intel driver (2:2.21.15-1+b2) is still installed and seems to be working, however I cannot configure the display properly. This happens all the way from the PC Bios Splash screen forward. I can boot my Windows install just fine from Grub, but Grub and SolydK all display in 1024x768.

Kernel:

Code: Select all

Linux lodys 3.11-2-686-pae #1 SMP Debian 3.11.10-1 (2013-12-04) i686 GNU/Linux
Here is a printout of lshw:

Code: Select all

sudo lshw -short
H/W path        Device      Class       Description
===================================================
                            system      XPS M1330 ()
/0                          bus         0N6705
/0/0                        memory      64KiB BIOS
/0/400                      processor   Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
/0/400/700                  memory      32KiB L1 cache
/0/400/701                  memory      2MiB L2 cache
/0/400/1.1                  processor   Logical CPU
/0/400/1.2                  processor   Logical CPU
/0/1000                     memory      3GiB System Memory
/0/1000/0                   memory      1GiB DIMM DDR Synchronous 667 MHz (1.5 ns)
/0/1000/1                   memory      2GiB DIMM DDR Synchronous 667 MHz (1.5 ns)
/0/100                      bridge      Mobile PM965/GM965/GL960 Memory Controller Hub
/0/100/2                    display     Mobile GM965/GL960 Integrated Graphics Controller (primary)
/0/100/2.1                  display     Mobile GM965/GL960 Integrated Graphics Controller (secondary)
/0/100/1a                   bus         82801H (ICH8 Family) USB UHCI Controller #4
/0/100/1a.1                 bus         82801H (ICH8 Family) USB UHCI Controller #5
/0/100/1a.7                 bus         82801H (ICH8 Family) USB2 EHCI Controller #2
/0/100/1b                   multimedia  82801H (ICH8 Family) HD Audio Controller
/0/100/1c                   bridge      82801H (ICH8 Family) PCI Express Port 1
/0/100/1c.1                 bridge      82801H (ICH8 Family) PCI Express Port 2
/0/100/1c.1/0   wlan0       network     AR928X Wireless Network Adapter (PCI-Express)
/0/100/1c.3                 bridge      82801H (ICH8 Family) PCI Express Port 4
/0/100/1c.5                 bridge      82801H (ICH8 Family) PCI Express Port 6
/0/100/1c.5/0   eth1        network     NetLink BCM5906M Fast Ethernet PCI Express
/0/100/1d                   bus         82801H (ICH8 Family) USB UHCI Controller #1
/0/100/1d.1                 bus         82801H (ICH8 Family) USB UHCI Controller #2
/0/100/1d.2                 bus         82801H (ICH8 Family) USB UHCI Controller #3
/0/100/1d.7                 bus         82801H (ICH8 Family) USB2 EHCI Controller #1
/0/100/1e                   bridge      82801 Mobile PCI Bridge
/0/100/1e/1                 bus         R5C832 IEEE 1394 Controller
/0/100/1e/1.1               generic     R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
/0/100/1e/1.2               generic     R5C592 Memory Stick Bus Host Adapter
/0/100/1e/1.3               generic     xD-Picture Card Controller
/0/100/1f                   bridge      82801HM (ICH8M) LPC Interface Controller
/0/100/1f.1                 storage     82801HM/HEM (ICH8M/ICH8M-E) IDE Controller
/0/100/1f.2                 storage     82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [IDE mode]
/0/100/1f.3                 bus         82801H (ICH8 Family) SMBus Controller
/0/1            scsi0       storage     
/0/1/0.0.0      /dev/cdrom  disk        DVD+-RW UJ-857G
/0/2            scsi2       storage     
/0/2/0.0.0      /dev/sda    disk        250GB WDC WD2500BEKT-0
/0/2/0.0.0/1    /dev/sda1   volume      100MiB Windows NTFS volume
/0/2/0.0.0/2    /dev/sda2   volume      51GiB Windows NTFS volume
/0/2/0.0.0/3    /dev/sda3   volume      54GiB Extended partition
/0/2/0.0.0/3/5  /dev/sda5   volume      14GiB Linux filesystem partition
/0/2/0.0.0/3/6  /dev/sda6   volume      37GiB Linux filesystem partition
/0/2/0.0.0/3/7  /dev/sda7   volume      2988MiB Linux swap / Solaris partition
/0/2/0.0.0/4    /dev/sda4   volume      125GiB EXT3 volume
/1                          power       DELL 15
Any help would be appreciated. Thanks!

Edit:

As I was typing this, it occurred to me to update grub. Sure enough, running

Code: Select all

sudo update-grub
and rebooting fixed it.[/color]

User avatar
Arjen Balfoort
Site Admin
Posts: 9219
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby Arjen Balfoort » 15 Jan 2014 18:34

Hi abqnm, and welcome to our forum!

I love it when people solve their own problems, and write about it in this forum!


SolydXK needs you!
Development | Testing | Translations

abqnm
Posts: 12
Joined: 15 Jan 2014 18:15

Re: UP 2014.01.15 [PRODUCTION]

Postby abqnm » 15 Jan 2014 18:49

Schoelje wrote:Hi abqnm, and welcome to our forum!

I love it when people solve their own problems, and write about it in this forum!
Thanks for the quick reply, even though I had fixed it already! I would much rather share experiences in case others encounter it as well since you can't always be available. I do appreciate your dedication to SolydXK as I am sure it is a lot of work. I am quite happy with SolydK and hope to see it stick around for the long term. Thanks again!

fkef
Posts: 83
Joined: 26 Aug 2013 11:45

Re: UP 2014.01.15 [PRODUCTION]

Postby fkef » 15 Jan 2014 19:49

Just did the upgrade using the terminal and I experienced a few smaller issues. Have restarted the computer and everything seems to be working ok.

Screenshot 1
For some reason the update manager does not like pipelight and wanted to remove it. I Experienced the same "glitch" last month. The screenshots displays the difference between the UM and the terminal.

Screenshot 2
I also had the same issue regarding libavutil52. The solution from previous posts to move the changelog did the trick. I got some warning that libreofficecore was depending on libharfbuzz0b, but it was not availible. Have checked synaptics and the package is installed. Have started both writer and calc, and everything seems to be working. Maybe just a glitch since libharfbuzz0a was removed

Screenshot 3
The warning concerning gdk-pixbuf.....
Attachments
Screenshot 3.png
Screenshot 3
Screenshot 2.png
Screenshot 2
Screenshot 1.png
Screenshot 1

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 15 Jan 2014 20:03

@fkef
what is at the moment the result of

Code: Select all

apt update && apt dist-upgrade
===
the gdk-pixbuf warning was explained here >> http://forums.solydxk.nl/viewtopic.php? ... buf#p23274 << (it's harmless)
bliss of ignorance

fkef
Posts: 83
Joined: 26 Aug 2013 11:45

Re: UP 2014.01.15 [PRODUCTION]

Postby fkef » 15 Jan 2014 20:22

zerozero wrote:@fkef
what is at the moment the result of

Code: Select all

apt update && apt dist-upgrade
Was first running apt-get update

Code: Select all

fredrik@fredrik-pc ~ $ sudo apt  dist-upgrade
Läser paketlistor... Färdig
Bygger beroendeträd         
Läser tillståndsinformation... Färdig
Beräknar uppgradering... Färdig
0 att uppgradera, 0 att nyinstallera, 0 att ta bort och 0 att inte uppgradera.

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 15 Jan 2014 20:41

that looks good 8-)

in the meantime i was looking closer at your screenshots and regarding this issue:
fkef wrote: I got some warning that libreofficecore was depending on libharfbuzz0b, but it was not availible. Have checked synaptics and the package is installed. Have started both writer and calc, and everything seems to be working. Maybe just a glitch since libharfbuzz0a was removed
i believe that what happened was:
the dist-upgrade broke at this point because of libavutil52 and the replace from libharfbuzz0a to libharfbuzz0b was not yet done; that's why apt complains about libreoffice-core being broken; but with the consequent -f install the dependencies are corrected
bliss of ignorance

User avatar
blueocean
Posts: 6
Joined: 08 Nov 2013 17:30
Location: Black Sea

Re: UP 2014.01.15 [PRODUCTION]

Postby blueocean » 15 Jan 2014 21:17

Good evening !
My solydk x64 update went flawless. Thank you guys for your hard work ! Also I hope 2014 will be a prosperous year for this distro and it's one of a kind community :D

User avatar
TeaSwigger
Posts: 57
Joined: 27 Feb 2013 14:07

Re: UP 2014.01.15 [PRODUCTION]

Postby TeaSwigger » 15 Jan 2014 23:21

Just a report from the "rocky update road."

First I had the same issue xanatos had. Applied solution. Resumed update.

Update was halted by this:
seg_error.jpeg
seg_error.jpeg (19.63 KiB) Viewed 2865 times
In Konsole I did a

Code: Select all

sudo dpkg --configure -a
To which it replied:

Code: Select all

Setting up man-db (2.6.5-2) ...
Updating database of manual pages ...
dpkg: dependency problems prevent configuration of libc6-i386:
 libc6-i386 depends on libc6 (= 2.17-97); however:
  Version of libc6:amd64 on system is 2.17-93.

dpkg: error processing package libc6-i386 (--configure):
 dependency problems - leaving unconfigured
dpkg: error processing package libc6:i386 (--configure):
 package libc6:i386 2.17-97 cannot be configured because libc6:amd64 is at a different version (2.17-93)
dpkg: dependency problems prevent configuration of libgcc1:i386:
 libgcc1:i386 depends on libc6 (>= 2.2.4); however:
  Package libc6:i386 is not configured yet.

dpkg: error processing package libgcc1:i386 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libc6-i386
 libc6:i386
 libgcc1:i386
Then:

Code: Select all

sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 cpp-4.8 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 g++-4.8 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 gcc-4.8 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libasan0 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libatomic1 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libc6 : Breaks: libc6:i386 (!= 2.17-93) but 2.17-97 is installed
 libc6:i386 : Breaks: libc6 (!= 2.17-97) but 2.17-93 is installed
 libc6-i386 : Depends: libc6 (= 2.17-97) but 2.17-93 is installed
 libc6-i686:i386 : PreDepends: libc6:i386 (= 2.17-93) but 2.17-97 is installed
 libgcc-4.8-dev : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libgfortran3 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libgomp1 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libitm1 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libquadmath0 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libstdc++-4.8-dev : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libstdc++6 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
 libstdc++6:i386 : Depends: gcc-4.8-base:i386 (= 4.8.2-1) but 4.8.2-10 is installed
 libtsan0 : Depends: gcc-4.8-base (= 4.8.2-1) but 4.8.2-10 is installed
E: Unmet dependencies. Try using -f.
Mkay, so then:

Code: Select all

sudo apt-get -f install
Which resulted in:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  binutils cpp-4.8 g++-4.8 gcc-4.8 libasan0 libatomic1 libc-dev-bin libc6 libc6-dev
  libc6-i686:i386 libgcc-4.8-dev libgfortran3 libgomp1 libitm1 libquadmath0 libstdc++-4.8-dev
  libstdc++6 libstdc++6:i386 libtsan0
Suggested packages:
  binutils-doc gcc-4.8-locales g++-4.8-multilib gcc-4.8-doc libstdc++6-4.8-dbg
  gcc-4.8-multilib libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan0-dbg
  libtsan0-dbg libbacktrace1-dbg libquadmath0-dbg glibc-doc libstdc++-4.8-doc
The following packages will be upgraded:
  binutils cpp-4.8 g++-4.8 gcc-4.8 libasan0 libatomic1 libc-dev-bin libc6 libc6-dev
  libc6-i686:i386 libgcc-4.8-dev libgfortran3 libgomp1 libitm1 libquadmath0 libstdc++-4.8-dev
  libstdc++6 libstdc++6:i386 libtsan0
19 upgraded, 0 newly installed, 0 to remove and 751 not upgraded.
3 not fully installed or removed.
Need to get 0 B/30.0 MB of archives.
After this operation, 205 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Preconfiguring packages ...
(Reading database ... 198574 files and directories currently installed.)
Preparing to unpack .../libc6-dev_2.17-97_amd64.deb ...
Unpacking libc6-dev:amd64 (2.17-97) over (2.17-93) ...
Preparing to unpack .../libc-dev-bin_2.17-97_amd64.deb ...
Unpacking libc-dev-bin (2.17-97) over (2.17-93) ...
Preparing to unpack .../libc6_2.17-97_amd64.deb ...
Unpacking libc6:amd64 (2.17-97) over (2.17-93) ...
Processing triggers for man-db (2.6.5-2) ...
Setting up libc6:amd64 (2.17-97) ...
Setting up libc6:i386 (2.17-97) ...
Setting up libgcc1:i386 (1:4.8.2-10) ...
Processing triggers for libc-bin (2.17-97) ...
(Reading database ... 198574 files and directories currently installed.)
Preparing to unpack .../libc6-i686_2.17-97_i386.deb ...
Unpacking libc6-i686:i386 (2.17-97) over (2.17-93) ...
Preparing to unpack .../libstdc++6_4.8.2-10_amd64.deb ...
De-configuring libstdc++6:i386 (4.8.2-1) ...
Unpacking libstdc++6:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libstdc++6_4.8.2-10_i386.deb ...
Unpacking libstdc++6:i386 (4.8.2-10) over (4.8.2-1) ...
Setting up libstdc++6:amd64 (4.8.2-10) ...
Setting up libstdc++6:i386 (4.8.2-10) ...
Processing triggers for libc-bin (2.17-97) ...
(Reading database ... 198574 files and directories currently installed.)
Preparing to unpack .../libasan0_4.8.2-10_amd64.deb ...
Unpacking libasan0:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libatomic1_4.8.2-10_amd64.deb ...
Unpacking libatomic1:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libquadmath0_4.8.2-10_amd64.deb ...
Unpacking libquadmath0:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libgfortran3_4.8.2-10_amd64.deb ...
Unpacking libgfortran3:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libgomp1_4.8.2-10_amd64.deb ...
Unpacking libgomp1:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libitm1_4.8.2-10_amd64.deb ...
Unpacking libitm1:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libtsan0_4.8.2-10_amd64.deb ...
Unpacking libtsan0:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../binutils_2.24-2_amd64.deb ...
Unpacking binutils (2.24-2) over (2.23.90.20131017-1) ...
Preparing to unpack .../g++-4.8_4.8.2-10_amd64.deb ...
Unpacking g++-4.8 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../gcc-4.8_4.8.2-10_amd64.deb ...
Unpacking gcc-4.8 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libstdc++-4.8-dev_4.8.2-10_amd64.deb ...
Unpacking libstdc++-4.8-dev:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../libgcc-4.8-dev_4.8.2-10_amd64.deb ...
Unpacking libgcc-4.8-dev:amd64 (4.8.2-10) over (4.8.2-1) ...
Preparing to unpack .../cpp-4.8_4.8.2-10_amd64.deb ...
Unpacking cpp-4.8 (4.8.2-10) over (4.8.2-1) ...
Processing triggers for man-db (2.6.5-2) ...
Setting up libc-dev-bin (2.17-97) ...
Setting up libc6-dev:amd64 (2.17-97) ...
Setting up libc6-i686:i386 (2.17-97) ...
Setting up libc6-i386 (2.17-97) ...
Setting up libasan0:amd64 (4.8.2-10) ...
Setting up libatomic1:amd64 (4.8.2-10) ...
Setting up libquadmath0:amd64 (4.8.2-10) ...
Setting up libgfortran3:amd64 (4.8.2-10) ...
Setting up libgomp1:amd64 (4.8.2-10) ...
Setting up libitm1:amd64 (4.8.2-10) ...
Setting up libtsan0:amd64 (4.8.2-10) ...
Setting up binutils (2.24-2) ...
Setting up cpp-4.8 (4.8.2-10) ...
Setting up libgcc-4.8-dev:amd64 (4.8.2-10) ...
Setting up gcc-4.8 (4.8.2-10) ...
Setting up libstdc++-4.8-dev:amd64 (4.8.2-10) ...
Setting up g++-4.8 (4.8.2-10) ...
Processing triggers for libc-bin (2.17-97) ...
...Then restarted update-manager. Currently update is resuming.
"You can't get to wonderful without passing through alright" -Bill Withers

SolydK 64-bit - AMD Quad Core - 4GB RAM - accursed NVIDIA GeForce 5800 graphics - lovely ASUS Xonar Essence ST sound

UnspeakableHorror
Posts: 3
Joined: 16 Jan 2014 00:07

Re: UP 2014.01.15 [PRODUCTION]

Postby UnspeakableHorror » 16 Jan 2014 00:18

Hello, I'm getting some weird problem, the Update Manager wants to remove Abiword, Java, Shotwell, well... 194 packages in total. :)

If I do a 'sudo aptitude dist-upgrade' I get the following:

Code: Select all

The following NEW packages will be installed:
  javascript-common{a} libavcodec55{a} libavformat55{a} libbsh-java{a} libcolamd2.8.0{a} libglew1.10{a} libharfbuzz0b{ab} libharfbuzz0b:i386{ab} libicu52{a} libjs-jquery{a} libjs-sphinxdoc{a} libjs-underscore{a} liblivemedia17{a} 
  liblzma5:i386{a} liborbit-2-0{a} libsystemd-journal0{a} libtiff5:i386{a} locate{a} python-pexpect-doc{a} python-pil{a} 
The following packages will be REMOVED:
  bsh-gcj{u} gcj-4.8-jre-lib{u} libgcj-bc{u} libgcj-common{u} libgcj14{u} liblivemedia16{u} 
The following packages will be upgraded:
  apt apt-utils at-spi2-core autopoint binutils bluez bluez-cups boinc boinc-client boinc-manager boinc-nvidia-cuda bsh catfish chromium chromium-inspector colord cpp cpp-4.8 cups cups-client cups-common cups-daemon cups-ppdc 
  cups-server-common curl dbus dbus-x11 ddm debian-plymouth-manager dictionaries-common dnet-common dnsmasq-base dpkg dpkg-dev evince evince-common exiftran exim4 exim4-base exim4-config exim4-daemon-light findutils firefox 
  firefox-l10n-es-ar fontconfig fontconfig-config fonts-opensymbol foomatic-db-compressed-ppds foomatic-db-engine g++ g++-4.8 gcc gcc-4.8 gcc-4.8-base gcc-4.8-base:i386 gdebi gdebi-core geoip-database gettext gettext-base 
  ghostscript ghostscript-cups gir1.2-gdkpixbuf-2.0 gir1.2-gtk-3.0 gir1.2-packagekitglib-1.0 gir1.2-pango-1.0 gir1.2-vte-2.90 gnumeric gnumeric-common gnumeric-doc gnupg gnupg-agent gnupg2 gparted gpgv gstreamer0.10-gconf 
  gstreamer0.10-plugins-good gstreamer0.10-pulseaudio gtkhash gtkhash-common hardening-includes hdparm hplip hplip-data ifupdown imagemagick imagemagick-common info install-info inxi iproute iproute2 iptables iputils-ping iso-codes 
  krb5-locales libapt-inst1.5 libapt-pkg4.12 libasan0 libasn1-8-heimdal libasprintf-dev libasprintf0c2 libatk-bridge2.0-0 libatomic1 libatspi2.0-0 libavutil52 libbasicusageenvironment0 libbluetooth3 libbluetooth3:i386 libbluray1 
  libboinc7 libbonobo2-0 libbonobo2-common libboost-iostreams1.54.0 libc-bin libc-dev-bin libc6 libc6:i386 libc6-dev libc6-i386 libc6-i686:i386 libchromaprint0 libcloog-isl4 libcloog-ppl1 libcolord1 libcolorhug1 
  libcommons-beanutils-java libcuda1 libcups2 libcups2:i386 libcupscgi1 libcupsimage2 libcupsmime1 libcupsppdc1 libcurl3 libcurl3-gnutls libcwidget3 libdate-manip-perl libdbus-1-3 libdbus-1-3:i386 libdjvulibre21 libdpkg-perl 
  libdrm-intel1 libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386 libdrm2 libdrm2:i386 libdvdnav4 libdvdread4 libelfg0 libevdocument3-4 libevview3-3 libfdk-aac0 libffmpegthumbnailer4 
  libfile-mimeinfo-perl libfinance-quote-perl libfontconfig1 libfontconfig1:i386 libfreetype6 libfreetype6:i386 libfribidi0 libgail-3-0 libgc1c2 libgcc-4.8-dev libgcc1 libgcc1:i386 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-0:i386 
  libgdome2-cpp-smart0c2a libgettextpo-dev libgettextpo0 libgexiv2-2 libgfortran3 libgif4 libgl1-nvidia-glx libgl1-nvidia-glx:i386 libgl1-nvidia-glx-i386:i386 libgmp10 libgmpxx4ldbl libgnutls28 libgoffice-0.10-10 
  libgoffice-0.10-10-common libgomp1 libgraphite2-3 libgraphite2-3:i386 libgroupsock1 libgs9 libgssapi-krb5-2 libgssapi-krb5-2:i386 libgssapi3-heimdal libgtk-3-0 libgtk-3-bin libgtk-3-common libgxps2 libhamcrest-java 
  libharfbuzz-icu0 libhcrypto4-heimdal libhdb9-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhpmud0 libhx509-5-heimdal libindicate5 libio-socket-ssl-perl libio-string-perl libisl10 libitm1 libjavascriptcoregtk-1.0-0 
  libjavascriptcoregtk-3.0-0 libjcommander-java libjpeg-progs libjpeg8 libjpeg8:i386 libjsoup-java libjte1 libk5crypto3 libk5crypto3:i386 libkdc2-heimdal libkpathsea6 libkrb5-26-heimdal libkrb5-3 libkrb5-3:i386 libkrb5support0 
  libkrb5support0:i386 libksba8 liblapack3 liblcms1 liblcms2-2 liblensfun-data liblensfun0 liblightdm-gobject-1-0 liblua5.2-0 liblwp-protocol-https-perl libmagickcore5 libmagickcore5-extra libmagickwand5 libmaven2-core-java 
  libnetpbm10 libnss-winbind libnss3 libnss3-1d libnvidia-ml1 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4 libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 
  libopencv-ml2.4 libopencv-objdetect2.4 libopencv-photo2.4 libopencv-video2.4 libopenjpeg2 libopus0 liborbit2 libpackagekit-glib2-16 libpam-winbind libpango-1.0-0 libpango-1.0-0:i386 libpango1.0-0 libpango1.0-0:i386 
  libpangocairo-1.0-0 libpangocairo-1.0-0:i386 libpangoft2-1.0-0 libpangoft2-1.0-0:i386 libpangoxft-1.0-0 libpangoxft-1.0-0:i386 libpcap0.8 libperl5.18 libphonon4 libpipeline1 libpixman-1-0 libpixman-1-0:i386 libpoppler-glib8 
  libpoppler19 libpoppler43 libpostproc52 libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3.3 libpython3.3-minimal libpython3.3-stdlib libqpdf13 libqt4-dbus libqt4-declarative libqt4-designer libqt4-help 
  libqt4-network libqt4-opengl libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns libqtcore4 libqtdbus4 libqtgui4 libqtwebkit4 libquadmath0 libraptor2-0 librasqal3 
  librdf0 libroken18-heimdal libsane libsane-common libsane-hpaio libsdl-image1.2 libslang2 libsmbclient libsocket-perl libsoundtouch0 libsoup-gnome2.4-1 libsoup2.4-1 libspandsp2 libspeechd2 libsqlite3-0 libssh2-1 libssl1.0.0 
  libstdc++-4.8-dev libstdc++6 libstdc++6:i386 libswscale2 libtasn1-6 libtiff4 libtiff4:i386 libtiff5 libtimedate-perl libtsan0 libusageenvironment1 libusb-0.1-4 libvlc5 libvlccore7 libvte-2.90-9 libvte-2.90-common libwbclient0 
  libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libwebp4 libwind0-heimdal libwww-perl libwxbase2.8-0 libwxgtk2.8-0 libx264-133 libx264-140 libxapian22 libxml-libxml-perl 
  libxml-namespacesupport-perl libxtables10 lightdm lightdm-manager lintian linux-headers-3.11-2-amd64 linux-headers-3.11-2-common linux-image-3.11-2-amd64 linux-libc-dev locales lp-solve manpages manpages-dev mesa-utils 
  modemmanager mplayer multiarch-support netpbm nvidia-alternative nvidia-detect nvidia-driver nvidia-kernel-dkms nvidia-smi nvidia-vdpau-driver openprinting-ppds openssh-client openssh-server openssl openvpn orage oxygen-icon-theme 
  packagekit packagekit-backend-aptcc packagekit-tools perl perl-base perl-modules pinentry-gtk2 poppler-utils printer-driver-c2esp printer-driver-cjet printer-driver-escpr printer-driver-foo2zjs printer-driver-hpcups 
  printer-driver-hpijs printer-driver-m2300w printer-driver-pnm2ppa printer-driver-postscript-hp printer-driver-pxljr python-gi python-gi-cairo python-gobject python-imaging python-mutagen python-opencv python-pexpect 
  python-pkg-resources python-pyinotify python-qt4 python-renderpm python-reportlab python-reportlab-accel python-samba python-xapian python2.7 python2.7-minimal python3-gi python3-packagekit python3-pkg-resources python3.3 
  python3.3-minimal qdbus qpdf qt4-qtconfig qtchooser qtcore4-l10n samba samba-common samba-common-bin samba-dsdb-modules samba-libs sambashare sane-utils sed smbclient solydx-info solydx-system-adjustments solydxk-softwaremanager 
  solydxk-sws solydxk-system ssh texinfo thunderbird thunderbird-l10n-es-ar tzdata tzdata-java ufw unattended-upgrades usb-modeswitch-data user-setup usermanager vlc vlc-data vlc-nox vlc-plugin-notify vlc-plugin-pulse w3m winbind 
  x11-apps x11-common x11-xfs-utils x11-xkb-utils xfce4-mailwatch-plugin xfce4-places-plugin xfce4-power-manager xfce4-power-manager-data xfce4-power-manager-plugins xfce4-terminal xfce4-whiskermenu-plugin xfonts-utils xorg 
  xscreensaver xscreensaver-data xserver-common xserver-xephyr xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-synaptics xserver-xorg-video-all xserver-xorg-video-modesetting xserver-xorg-video-nvidia xterm 
  xtrans-dev 
The following packages are RECOMMENDED but will NOT be installed:
  gnupg-curl gnupg-curl:i386 
492 packages upgraded, 20 newly installed, 6 to remove and 0 not upgraded.
Need to get 494 MB/494 MB of archives. After unpacking 10.9 MB will be freed.
The following packages have unmet dependencies:
 libharfbuzz0b : Breaks: libharfbuzz0a but 0.9.19-1 is installed.
                 Breaks: libharfbuzz0a:i386 but 0.9.19-1 is installed.
 libharfbuzz0b:i386 : Breaks: libharfbuzz0a but 0.9.19-1 is installed.
                      Breaks: libharfbuzz0a:i386 but 0.9.19-1 is installed.
The following actions will resolve these dependencies:

     Remove the following packages:
1)     libharfbuzz0a               
2)     libharfbuzz0a:i386          



Accept this solution? [Y/n/q/?] 

According to the internets libharfbuzz0a is:
OpenType text shaping engine (shared library)
HarfBuzz is an implementation of the OpenType Layout engine (aka layout
engine) and the script-specific logic (aka shaping engine).

This package contains the shared libraries.
Is this safe to remove?

User avatar
Dr G
Posts: 31
Joined: 06 Apr 2013 17:12
Location: Grand Junction, CO
Contact:

Update Issue - Significant?

Postby Dr G » 16 Jan 2014 00:21

I may need a little help.

Ran "apt-get dist-upgrade" and received the following:

The following packages have been kept back:
audacious-plugins kbreakout libavfilter3 libffmpegthumbnailer4 libmediastreamer-base3 libnepomukcore4 mplayer nepomuk-core-runtime vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse

Is this a problem? If so, can anyone offer guidance on how to proceed?

Thx

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 16 Jan 2014 00:30

hi UnspeakableHorror, welcome to SolydXK

first of all can you share the output of

Code: Select all

inxi -r; cat /etc/apt/preferences
===
regarding libharfbuzz0a, yes, it's safe to let it go; it will be replaced with libharfbuzz0b
bliss of ignorance

User avatar
TeaSwigger
Posts: 57
Joined: 27 Feb 2013 14:07

Re: UP 2014.01.15 [PRODUCTION]

Postby TeaSwigger » 16 Jan 2014 00:46

Further update report from the "rocky update road"

Upon seemingly successful completion of update, as a precaution I ran in Konsole:

Code: Select all

sudo apt-get install --reinstall nvidia-kernel-dkms
although update manager should have taken care of that? Results:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libgl1-nvidia-legacy-304xx-glx:i386 libxvmc1:i386
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 3,348 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://debian.solydxk.com/production/ testing/non-free nvidia-kernel-dkms amd64 319.76-1 [3,348 kB]
Fetched 3,348 kB in 4s (687 kB/s)               
(Reading database ... 198479 files and directories currently installed.)
Preparing to unpack .../nvidia-kernel-dkms_319.76-1_amd64.deb ...

-------- Uninstall Beginning --------
Module:  nvidia-current                                                                                                                                                               
Version: 319.76                                                                                                                                                                       
Kernel:  3.11-2-amd64 (x86_64)                                                                                                                                                        
-------------------------------------                                                                                                                                                 
                                                                                                                                                                                      
Status: Before uninstall, this module version was ACTIVE on this kernel.                                                                                                              
                                                                                                                                                                                      
nvidia-current.ko:                                                                                                                                                                    
 - Uninstallation                                                                                                                                                                     
   - Deleting from: /lib/modules/3.11-2-amd64/updates/dkms/                                                                                                                           
 - Original module                                                                                                                                                                    
   - No original module was found for this module on this kernel.                                                                                                                     
   - Use the dkms install command to reinstall any previous module version.                                                                                                           
                                                                                                                                                                                      
depmod....                                                                                                                                                                            
                                                                                                                                                                                      
DKMS: uninstall completed.                                                                                                                                                            
                                                                                                                                                                                      
------------------------------                                                                                                                                                        
Deleting module version: 319.76                                                                                                                                                       
completely from the DKMS tree.
------------------------------
Done.
Unpacking nvidia-kernel-dkms (319.76-1) over (319.76-1) ...
Setting up nvidia-kernel-dkms (319.76-1) ...
Loading new nvidia-current-319.76 DKMS files...
Building only for 3.11-2-amd64
Building initial module for 3.11-2-amd64
Done.

nvidia-current:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.11-2-amd64/updates/dkms/

depmod....

DKMS: install completed.
Will now reboot...
"You can't get to wonderful without passing through alright" -Bill Withers

SolydK 64-bit - AMD Quad Core - 4GB RAM - accursed NVIDIA GeForce 5800 graphics - lovely ASUS Xonar Essence ST sound

UnspeakableHorror
Posts: 3
Joined: 16 Jan 2014 00:07

Re: UP 2014.01.15 [PRODUCTION]

Postby UnspeakableHorror » 16 Jan 2014 00:55

zerozero wrote:hi UnspeakableHorror, welcome to SolydXK

first of all can you share the output of

Code: Select all

inxi -r; cat /etc/apt/preferences
===
regarding libharfbuzz0a, yes, it's safe to let it go; it will be replaced with libharfbuzz0b
Thanks!
Yep, output:

Code: Select all

uh@uh-desktop:~$ inxi -r; cat /etc/apt/preferences
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://packages.solydxk.com/production/ solydxk main upstream import kdenext
           deb http://debian.solydxk.com/production testing main contrib non-free
           deb http://debian.solydxk.com/production/multimedia testing main non-free
           deb http://debian.solydxk.com/security testing/updates main contrib non-free
           deb http://community.solydxk.com/production/ solydxk main
cat: /etc/apt/preferences: No such file or directory
Apparently the Update Manager is defaulting to 'n' or 'keep the current version'.

Code: Select all

Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

       Remove the following packages:                                       
1)       abiword                                                            
2)       abiword-plugin-grammar                                             
3)       abiword-plugin-mathview                                            
4)       baobab                                                             
5)       boinc                                                              
6)       boinc-manager                                                      
7)       boinc-nvidia-cuda                                                  
8)       browser-plugin-vlc                                                 
9)       catfish                                                            
10)      chromium                                                           
11)      ddm                                                                
12)      debian-plymouth-manager                                            
13)      default-jre                                                        
14)      desktop-base                                                       
15)      dropbox                                                            
16)      evince                                                             
17)      exaile                                                             
18)      exfalso                                                            
19)      exo-utils                                                          
20)      galculator                                                         
21)      gcr                                                                
22)      gdebi                                                              
23)      gimp                                                               
24)      gir1.2-clutter-1.0                                                 
25)      gir1.2-coglpango-1.0                                               
26)      gir1.2-gtk-3.0                                                     
27)      gir1.2-gtksource-3.0                                               
28)      gir1.2-pango-1.0                                                   
29)      gir1.2-peas-1.0                                                    
30)      gir1.2-vte-2.90                                                    
31)      gksu                                                               
32)      gnome-icon-theme                                                   
33)      gnome-icon-theme-symbolic                                          
34)      gnome-keyring                                                      
35)      gnome-themes-standard                                              
36)      gnome-user-guide                                                   
37)      gnucash                                                            
38)      gnumeric                                                           
39)      gnumeric-doc                                                       
40)      gnupg-agent                                                        
41)      gnupg2                                                             
42)      gparted                                                            
43)      gstreamer0.10-plugins-bad                                          
44)      gstreamer0.10-x                                                    
45)      gstreamer1.0-x                                                     
46)      gtk2-engines                                                       
47)      gtk2-engines-murrine                                               
48)      gtk2-engines-oxygen                                                
49)      gtk2-engines-pixbuf                                                
50)      gtk2-engines-xfce                                                  
51)      gtk3-engines-oxygen                                                
52)      gtk3-engines-unico                                                 
53)      gtkhash                                                            
54)      gufw                                                               
55)      gvfs-backends                                                      
56)      indicator-messages                                                 
57)      indicator-messages-gtk2                                            
58)      indicator-status-provider-mc5                                      
59)      libabiword-2.9                                                     
60)      libappindicator1                                                   
61)      libatk-wrapper-java                                                
62)      libatk-wrapper-java-jni                                            
63)      libbonoboui2-0                                                     
64)      libcanberra-gtk-module                                             
65)      libcanberra-gtk0                                                   
66)      libcanberra-gtk3-0                                                 
67)      libcanberra-gtk3-module                                            
68)      libclutter-1.0-0                                                   
69)      libcogl-pango12                                                    
70)      libdbusmenu-gtk3-4                                                 
71)      libdbusmenu-gtk4                                                   
72)      libevdocument3-4                                                   
73)      libevview3-3                                                       
74)      libexo-1-0                                                         
75)      libfarstream-0.1-0                                                 
76)      libgail-3-0                                                        
77)      libgail18                                                          
78)      libgcr-ui-3-1                                                      
79)      libgimp2.0                                                         
80)      libgksu2-0                                                         
81)      libglade2-0                                                        
82)      libgnome-bluetooth11                                               
83)      libgnomecanvas2-0                                                  
84)      libgnomeui-0                                                       
85)      libgoa-1.0-0                                                       
86)      libgoffice-0.10-10                                                 
87)      libgoffice-0.8-8                                                   
88)      libgpgme11                                                         
89)      libgtk-3-0                                                         
90)      libgtk-3-bin                                                       
91)      libgtk2-perl                                                       
92)      libgtk2.0-0                                                        
93)      libgtk2.0-0:i386                                                   
94)      libgtk2.0-bin                                                      
95)      libgtkglext1                                                       
96)      libgtkmathview0c2a                                                 
97)      libgtkmm-2.4-1c2a                                                  
98)      libgtkmm-3.0-1                                                     
99)      libgtksourceview-3.0-1                                             
100)     libgtksourceview2.0-0                                              
101)     libgtkspell0                                                       
102)     libgwengui-gtk2-0                                                  
103)     libharfbuzz-icu0                                                   
104)     libindicator-messages-status-provider1                             
105)     libindicator3-7                                                    
106)     libindicator7                                                      
107)     libkeybinder0                                                      
108)     libmagickcore5-extra                                               
109)     libmetacity-private0a                                              
110)     libnautilus-extension1a                                            
111)     libnm-gtk0                                                         
112)     libopencv-calib3d2.4                                               
113)     libopencv-contrib2.4                                               
114)     libopencv-features2d2.4                                            
115)     libopencv-highgui2.4                                               
116)     libopencv-legacy2.4                                                
117)     libopencv-objdetect2.4                                             
118)     libpango-perl                                                      
119)     libpango1.0-0                                                      
120)     libpango1.0-0:i386                                                 
121)     libpangocairo-1.0-0                                                
122)     libpangocairo-1.0-0:i386                                           
123)     libpangoft2-1.0-0                                                  
124)     libpangoft2-1.0-0:i386                                             
125)     libpangomm-1.4-1                                                   
126)     libpangoxft-1.0-0                                                  
127)     libpangoxft-1.0-0:i386                                             
128)     libpeas-1.0-0                                                      
129)     libpurple-bin                                                      
130)     libpurple0                                                         
131)     librsvg2-2                                                         
132)     librsvg2-common                                                    
133)     libseed-gtk3-0                                                     
134)     libsexy2                                                           
135)     libthunarx-2-0                                                     
136)     libunique-1.0-0                                                    
137)     libvte-2.90-9                                                      
138)     libvte9                                                            
139)     libwebkitgtk-1.0-0                                                 
140)     libwebkitgtk-3.0-0                                                 
141)     libwnck22                                                          
142)     libwxgtk2.8-0                                                      
143)     libxfce4ui-1-0                                                     
144)     libxfce4ui-utils                                                   
145)     libxfcegui4-4                                                      
146)     libyelp0                                                           
147)     liferea                                                            
148)     lightdm                                                            
149)     lightdm-gtk-greeter                                                
150)     lightdm-manager                                                    
151)     lxtask                                                             
152)     metacity                                                           
153)     mousepad                                                           
154)     murrine-themes                                                     
155)     mutt                                                               
156)     network-manager-gnome                                              
157)     network-manager-pptp-gnome                                         
158)     nvidia-settings                                                    
159)     openjdk-7-jdk                                                      
160)     openjdk-7-jre                                                      
161)     orage                                                              
162)     pavucontrol                                                        
163)     pidgin                                                             
164)     pinentry-gtk2                                                      
165)     plymouth-drm                                                       
166)     plymouth-themes-solydx                                             
167)     plymouth-x11                                                       
168)     policykit-1-gnome                                                  
169)     python-appindicator                                                
170)     python-aptdaemon.gtk3widgets                                       
171)     python-glade2                                                      
172)     python-gnome2                                                      
173)     python-gtk2                                                        
174)     python-mmkeys                                                      
175)     python-notify                                                      
176)     python-opencv                                                      
177)     python-sexy                                                        
178)     python-webkit                                                      
179)     python3-aptdaemon.gtk3widgets                                      
180)     quodlibet                                                          
181)     quodlibet-plugins                                                  
182)     ristretto                                                          
183)     sambashare                                                         
184)     shotwell                                                           
185)     simple-scan                                                        
186)     software-properties-gtk                                            
187)     solydx-lightdm-adjustments                                         
188)     solydxk-softwaremanager                                            
189)     solydxk-sws                                                        
190)     steadyflow                                                         
191)     synaptic                                                           
192)     system-config-printer                                              
193)     thunar                                                             
194)     thunar-archive-plugin                                              
195)     thunar-media-tags-plugin                                           
196)     thunar-volman                                                      
197)     transmission                                                       
198)     transmission-gtk                                                   
199)     updatemanager                                                      
200)     usb-imagewriter                                                    
201)     usermanager                                                        
202)     vlc-plugin-notify                                                  
203)     xarchiver                                                          
204)     xchat                                                              
205)     xfburn                                                             
206)     xfce4                                                              
207)     xfce4-appfinder                                                    
208)     xfce4-battery-plugin                                               
209)     xfce4-cellmodem-plugin                                             
210)     xfce4-clipman                                                      
211)     xfce4-clipman-plugin                                               
212)     xfce4-cpufreq-plugin                                               
213)     xfce4-cpugraph-plugin                                              
214)     xfce4-datetime-plugin                                              
215)     xfce4-dict                                                         
216)     xfce4-diskperf-plugin                                              
217)     xfce4-fsguard-plugin                                               
218)     xfce4-genmon-plugin                                                
219)     xfce4-hdaps                                                        
220)     xfce4-indicator-plugin                                             
221)     xfce4-linelight-plugin                                             
222)     xfce4-mailwatch-plugin                                             
223)     xfce4-messenger-plugin                                             
224)     xfce4-mixer                                                        
225)     xfce4-mount-plugin                                                 
226)     xfce4-mpc-plugin                                                   
227)     xfce4-netload-plugin                                               
228)     xfce4-notes                                                        
229)     xfce4-notes-plugin                                                 
230)     xfce4-notifyd                                                      
231)     xfce4-panel                                                        
232)     xfce4-places-plugin                                                
233)     xfce4-power-manager                                                
234)     xfce4-power-manager-plugins                                        
235)     xfce4-quicklauncher-plugin                                         
236)     xfce4-radio-plugin                                                 
237)     xfce4-screenshooter                                                
238)     xfce4-sensors-plugin                                               
239)     xfce4-session                                                      
240)     xfce4-settings                                                     
241)     xfce4-smartbookmark-plugin                                         
242)     xfce4-systemload-plugin                                            
243)     xfce4-terminal                                                     
244)     xfce4-timer-plugin                                                 
245)     xfce4-verve-plugin                                                 
246)     xfce4-volumed                                                      
247)     xfce4-wavelan-plugin                                               
248)     xfce4-weather-plugin                                               
249)     xfce4-whiskermenu-plugin                                           
250)     xfce4-wmdock-plugin                                                
251)     xfce4-xkb-plugin                                                   
252)     xfdesktop4                                                         
253)     xfwm4                                                              
254)     xfwm4-themes                                                       
255)     xscreensaver                                                       
256)     yelp                                                               
257)     zenity                                                             

       Keep the following packages at their current version:                
258)     libharfbuzz0b [Not Installed]                                      
259)     libharfbuzz0b:i386 [Not Installed]                                 

       Leave the following dependencies unresolved:                         
260)     abiword recommends abiword-plugin-mathview                         
261)     libbatik-java recommends default-jre                               
262)     chromium-inspector recommends chromium (>= 10)                     
263)     exaile recommends python-notify                                    
264)     gdebi recommends libgtk2-perl                                      
265)     gimp-data recommends gimp                                          
266)     libpam-gnome-keyring recommends gnome-keyring                      
267)     gnucash-common recommends gnucash (>= 1:2.4.13-1)                  
268)     gnucash-docs recommends yelp                                       
269)     gnumeric recommends evince | evince-gtk                            
270)     gstreamer0.10-plugins-good recommends gstreamer0.10-x              
271)     gstreamer1.0-plugins-good recommends gstreamer1.0-x                
272)     libgtk2.0-common recommends libgtk2.0-0                            
273)     libgtk-3-common recommends libgtk-3-0                              
274)     gvfs-backends recommends gnome-keyring                             
275)     gvfs-daemons recommends policykit-1-gnome                          
276)     imagemagick recommends libmagickcore5-extra                        
277)     indicator-messages recommends indicator-applet | indicator-renderer
278)     libatk-wrapper-java recommends libatk-wrapper-java-jni             
279)     libcanberra-gtk0 recommends libcanberra-gtk-module                 
280)     libnotify4 recommends notification-daemon                          
281)     lightdm-gtk-greeter recommends gnome-themes-standard               
282)     metacity recommends gnome-themes-standard                          
283)     network-manager-gnome recommends notification-daemon               
284)     network-manager-gnome recommends gnome-keyring                     
285)     quodlibet recommends gir1.2-gtksource-3.0                          
286)     quodlibet-plugins recommends notification-daemon                   
287)     shotwell-common recommends shotwell                                
288)     synaptic recommends libgtk2-perl (>= 1:1.130)                      
289)     xchat-common recommends xchat                                      
290)     xfce4 recommends thunar-volman (>= 0.8.0)                          
291)     xfce4-indicator-plugin recommends indicator-messages-gtk2          
292)     xfce4-power-manager-data recommends xfce4-power-manager            
293)     xfce4-power-manager-data recommends librsvg2-common                
294)     xfce4-screenshooter recommends libpangoft2-1.0-0 (>= 1.14.0)       
295)     xfce4-screenshooter recommends xfce4-panel (>= 4.9.2)              
296)     xfce4-screenshooter recommends xfce4-panel (< 4.11)                
297)     nvidia-driver recommends nvidia-settings (>= 319)                  
298)     xserver-xorg-video-nvidia recommends nvidia-settings (>= 319)      
299)     libgtk2.0-0:i386 recommends libgtk2.0-bin:i386                     
300)     steam:i386 recommends zenity:i386                                  
301)     vlc recommends vlc-plugin-notify (= 1:2.1.2-dmo1)                  
302)     libproxy0 recommends libmozjs10d | libwebkitgtk-1.0-0              


Accept this solution? [Y/n/q/?] 

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP 2014.01.15 [PRODUCTION]

Postby zerozero » 16 Jan 2014 01:05

looks good [that's what i was expecting to see]

can't say why UM had such an odd output :shock:

===
TeaSwigger
yep, better safe than sorry with the nvidia reinstallation but this time it was already rebuilt for the new kernel
TeaSwigger wrote:

Code: Select all

Status: Before uninstall, this module version was ACTIVE on this kernel. 
bliss of ignorance

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

UP 2014.01.15 [PRODUCTION]

Postby zerozero » 16 Jan 2014 01:30

Dr G wrote:I may need a little help.

Ran "apt-get dist-upgrade" and received the following:

The following packages have been kept back:
audacious-plugins kbreakout libavfilter3 libffmpegthumbnailer4 libmediastreamer-base3 libnepomukcore4 mplayer nepomuk-core-runtime vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse

Is this a problem? If so, can anyone offer guidance on how to proceed?

Thx
Dr G
that happens doing the January UP?
share the output of

Code: Select all

cat /etc/apt/preferences
bliss of ignorance

User avatar
TeaSwigger
Posts: 57
Joined: 27 Feb 2013 14:07

Re: UP 2014.01.15 [PRODUCTION]

Postby TeaSwigger » 16 Jan 2014 01:33

Thank you for explaining that, zerozero

Update appears to be successful! :D

Only further things I can think to add are:
- At the bottom of update manager window, it said "Launch Synaptic to begin update" for a while. It probably shouldn't be displaying that. Newbies might have done what it said.
- There were two instances of update manager in the system tray during updates. No idea why.

So for a newbie there were hurdles, but for me it turned out all right.

My appreciation, again, to those here playing a part in making the fantastic and beautiful solydk os happen. :)
"You can't get to wonderful without passing through alright" -Bill Withers

SolydK 64-bit - AMD Quad Core - 4GB RAM - accursed NVIDIA GeForce 5800 graphics - lovely ASUS Xonar Essence ST sound


Return to “News & Anouncements”

Who is online

Users browsing this forum: No registered users and 1 guest